<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>CHANGI</title>
    <link href="css/uiStyle.css" rel="stylesheet">
    <link href="css/prestyles.css" rel="stylesheet">
    <link href="css/lib/jquery-ui.min.css" rel="stylesheet">
    <!--<link href="css/lib/dateRangeSlider.css" rel="stylesheet">-->
    <link href="directives/css/dateSlider.css" rel="stylesheet">
    <link href="css/lib/animate.css" rel="stylesheet">
    <link href="css/fonts.css" rel="stylesheet">
    <link href="css/cameraCss.css" rel="stylesheet">

    <script src="js/lib/angular.min.js"></script>
    <script src="js/lib/angular-ui-router.js"></script>
    <script src="js/app.js"></script>
    <script src="js/controllers.js"></script>
    <script src="js/lib/slider/sliderModule.js"></script>
    <script src="js/lib/notifications/notificationWidget.js"></script>

    <!--controllers-->

    <script src="js/controllers/mapController.js"></script>
    <script src="js/controllers/camControllers.js"></script>
    <script src="js/controllers/analyticsController.js"></script>
    <script src="js/controllers/notificationController.js"></script>
    <script src="js/controllers/settingsController.js"></script>
    <script src="js/controllers/dataDownloadCtrl.js"></script>
    <script src="js/controllers/dataController.js"></script>

    <!--Services-->

    <script src="js/services/messageService.js"></script>
    <script src="js/services/analyticsService.js"></script>
    <script src="js/services/settingService.js"></script>
    <script src="js/services/dataService.js"></script>

    <!--directives-->

    <script src="js/directives/highChart.js"></script>
    <script src="js/directives/onFinishRender.js"></script>

    <script src="directives/js/dateSlider.js"></script>
    <script src="directives/js/sideNavigation.js"></script>
    <script src="directives/js/solidGauge.js"></script>
    <script src="directives/js/areaGraph.js"></script>
    <script src="directives/js/barGraph.js"></script>
    <script src="directives/js/spline.js"></script>



</head>
<body  ng-app="changi" ng-controller="notificationController">
<div id="appWrapper" ng-controller="popupController">

    <div id="header" ng-controller="activeNav">
        <div class="leftSec floatLeft">
            <div class="logo midBlock">
                <img src="images/changiLogo.png" alt="Changi logo">
            </div>
            <div class="contType midBlock">
                <div class="" ng-hide="currentNav('settings')">
                    <div class="dropDown lanes midBlock small borderLft">
                        <div class="head" data-init="0">
                            <div class="headTitle">Lanes</div>
                            <img src="images/downArrow.png" alt="down" class="sign">
                        </div>
                    </div>
                    <div class="dropDown midBlock small">
                        <div class="head">
                            <div class="headTitle">Inbound</div>
                            <img src="images/downArrow.png" alt="down" class="sign">
                        </div>
                    </div>
                </div>

                <div class="borderLft" ng-show="currentNav('settings')">
                    <div class="dropDown midBlock small">
                        <div class="head" data-init="0">
                            <div class="headTitle" ng-show="currentNav('settings/accessCont')">Access Control</div>
                            <div class="headTitle" ng-show="currentNav('settings/conditions')">Conditions</div>
                            <img src="images/downArrow.png" alt="down" class="sign">
                        </div>
                        <ul class="list anchor">
                            <li><a href="#/settings/accessCont/manager">Access Control</a></li>
                            <li><a href="#/settings/conditions/alerts/all">Conditions</a></li>
                        </ul>
                    </div>
                </div>

            </div>
        </div>
        <div class="rightSec roboLight floatRight">
            <div class="notificationAlert midBlock pointer" data-init="0">
                <span class="midBlock small alertTxt">Notifications</span>
                <span class="midBlock notifNUm smallest">{{messages.length}}</span>
            </div>
            <a href="#" class="midBlock logout small">Logout</a>
        </div>
        <span class="clear"></span>
    </div>

    <!--....... Map menu .........-->
    <div class="mapMenu lightGreyBack">
        <ul>
            <li class="active">
                <a href="">
                    <img src="images/lane.jpg" alt="">
                </a>
            </li>
            <li>
                <a href="">
                    <img src="images/terminal1.jpg" alt="">
                </a>
            </li>
            <li>
                <a href="">
                    <img src="images/terminal2.jpg" alt="">
                </a>
            </li>
            <li>
                <a href="">
                    <img src="images/terminal3.jpg" alt="">
                </a>
            </li>
            <span class="clear"></span>
        </ul>
    </div>



    <div id="contWrapper" ng-controller="activeNav">
        <side-nav></side-nav>

        <div class="contentBox" ui-view></div>

        <notifications messages-data-model="messages"></notifications>

    </div>




    <!--....... cam popup .......-->
    <div class="background"></div>

    <div class="camPopup">

        <div class="close subNormal">X</div>
        <div class="videoMain">
            <!--{{camUrl}}-->
            <img class="loadingBar" src="images/loader.GIF">
            <video class="video" id="camVideo" ng-src="{{camUrl}}" type="video/mp4" muted loop autoplay></video>
        </div>
        <div class="camDetails">
            <div class="floatLeft">
                <div class="lane normal">Lane 3</div>
                <div class="name smallest">Camera 52</div>
            </div>
            <div class="floatRight">
                <img src="images/camIcon.png" alt="" class="videoIcon">
            </div>
            <span class="clear"></span>
        </div>
        <ul class="indicatorsList">
            <li>
                <div class="roboRegular smallest">
                    <span class="">Traffic</span>
                    <span class="marginLeftSrt">51%</span>
                </div>
                <div class="indicator green"></div>
            </li>
            <li>
                <div class="roboRegular smallest">
                    <span class="">Speed</span>
                    <span class="marginLeftSr">64%</span>
                </div>
                <div class="indicator orange"></div>
            </li>
            <li>
                <div class="roboRegular smallest">
                    <span class="">Occupancy</span>
                    <span class="marginLeftSrt">83%</span>
                </div>
                <div class="indicator red"></div>
            </li>
            <li>
                <div class="roboRegular smallest">
                    <span class="">Volume</span>
                    <span class="marginLeftSrt">58%</span>
                </div>
                <div class="indicator orangeB"></div>
            </li>
            <span class="clear"></span>
        </ul>
    </div>


</div>

<script src="js/lib/jquery-2.1.4.min.js"></script>
<script src="js/lib/jquery-ui.min.js"></script>
<script src="js/lib/highcharts.js"></script>
<script src="js/lib/highcharts-more.js"></script>
<script src="js/lib/highcharts-solid-gauge.js"></script>
<script src="js/lib/moment.js"></script>
<script src="js/lib/dateRangeSlider.js"></script>
<script src="js/script.js"></script>
<script src="http://maps.googleapis.com/maps/api/js" type="text/javascript"></script>
<!--<script src="js/lib/googleMaps.js"></script>-->

<script src="https://cdn.socket.io/socket.io-1.3.7.js"></script>
<script>
    var socket = io.connect();
    // , {secure: true}

    socket.on('news', function(data) {
        console.log(data);
    });
</script>

</body>
</html>
